/*
 * Copyright [2007] [University Corporation for Advanced Internet Development, Inc.]
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.opensaml.xml.security;

/**
 * Constants used within the Apache XML Security library.
 */
public class ApacheXMLSecurityConstants {
    
    /** Block encryption algorithm class. */
    public static final String ALGO_CLASS_BLOCK_ENCRYPTION = "BlockEncryption";
    
    /** Key transport algorithm class. */
    public static final String ALGO_CLASS_KEY_TRANSPORT = "KeyTransport";
    
    /** Key agreement algorithm class. */
    public static final String ALGO_CLASS_KEY_AGREEMENT = "KeyAgreement";
    
    /** HMAC algorithm class. */
    public static final String ALGO_CLASS_MAC = "Mac";
    
    /** Message digest algorithm class. */
    public static final String ALGO_CLASS_MESSAGE_DIGEST = "MessageDigest";
    
    /** Signature algorithm class. */
    public static final String ALGO_CLASS_SIGNATURE = "Signature";
    
    /** Symmetric key wrap algorithm class. */
    public static final String ALGO_CLASS_SYMMETRIC_KEY_WRAP = "SymmetricKeyWrap";

}
